input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

.field {
	margin: 0;
    width: 100%;
    height: 50px;
    outline: none;
	color: #1D1D1B;
    font-size: 1.4rem;
    line-height: 2rem;
    padding: 14px 15px;
    display: inline-block;
	background: #FAFAFA;
	border: 1px solid #E8EBF0;
	border-radius: 3px;
	@include placeholder(#BDBDBD);

	&:focus {
		@include placeholder(transparent);
	}

	&.error {
		color: red;
		border-color: red;
	}
}

textarea.field {
	height: auto;
	resize: none;
}


.form-select {
	margin: 0;
	width: 100%;
	height: 50px;
	outline: none;
	color: #1D1D1B;
	box-shadow: none;
	font-weight: 700;
	font-size: 1.4rem;
	line-height: 2rem;
	padding: 14px 40px 14px 20px;
	background: #FAFAFA url('../img/icon__select.png') 100% 50% no-repeat;
	border-radius: 8px;
	display: inline-block;
	vertical-align: middle;
	border: 1px solid #E8EBF0;
	box-shadow: none;
	@include placeholder(#808080);

	-moz-appearance    : none;
	text-indent        : 0.01px; 
	text-overflow      : '';
	-ms-appearance     : none;
	appearance         : none !important;
	
	&::-ms-clear {
		display: none;
		width: 0;
		height: 0;
	}

	&:focus,
	&:active {
		outline: none;
	}
}


.checkbox {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	span {
		color: #1D1D1B;
		cursor: pointer;
		font-weight: 700;
		font-size: 1.2rem;
		line-height: 1.6rem;
		position: relative;
		padding-left: 24px;
		display: inline-block;

		&::before {
			top: 1px;
			left: 1px;
			z-index: 1;
			content: '';
			width: 14px;
			height: 14px;
			display: block;
			position: absolute;
			border-radius: 2px;
			border: 1px solid #1D1D1B
		}

		&:after {
			top: 0;
			left: 0;
			z-index: 2;
			content: '';
			width: 16px;
			height: 16px;
			display: block;
			opacity: 0;
			visibility: hidden;
			position: absolute;
			background: url('../img/icon__checkbox.svg') 50% 50% no-repeat;
		}
	}

	input:checked + span {

		&::before {
			opacity: 0;
			visibility: hidden;
		}

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}

	input:disabled + span {
		opacity: 0.4;
	}
}

.checkbox-md {

	span {
		font-size: 1.6rem;
		line-height: 2.2rem;
		padding-left: 34px;

		&:before {
			top: 0;
			left: 0;
			width: 22px;
			height: 22px;
			border-radius: 4px;
			border-color: $gray-100;
		}

		&:after {
			top: 5px;
			left: 5px;
			width: 12px;
			height: 12px;
			border-radius: 2px;
			background: $gray-200;

		}
	}

	input:checked + span {

		&::before {
			opacity: 1;
			visibility: visible;
			border-color: $gray-200;
		}

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}
}

.form-group {
	margin-bottom: 16px;
}

.label {
	display: block;
	font-weight: 600;
	font-size: 1.4rem;
	line-height: 1.8rem;
	margin-bottom: 5px;
}

